Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The GIMP ToolKit
Name: 	 	gtk+
Version: 	1.2.10
Release: 	2
License: 	LGPL
Group:	 	System/Libraries
URL:	 	http://www.gtk.org/
Source:  	ftp://ftp.gimp.org/pub/gtk/v1.2/gtk+-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source1: 	gtkrc-default
Source2: 	gtk+-pofiles.tar.gz
Source3: 	gtkrc.ja.utf8
Source4: 	gtkrc.ko.utf8
Source5: 	gtkrc.zh_CN.utf8
Source6: 	gtkrc.zh_TW.utf8

Patch1: 	gtk+-1.2.6-ahiguti.patch
Patch5: 	gtk+-1.2.8-wrap-alnum.patch
# Supress alignment warnings on ia64
Patch10: 	gtk+-1.2.10-alignment.patch
# Improve exposure compression
Patch11: 	gtk+-1.2.10-expose.patch
# Handle focus tracking for embedded window properly
Patch12: 	gtk+-1.2.10-focus.patch
# Find gtkrc files for the current encoding better
Patch13: 	gtk+-1.2.10-encoding.patch
# Don't screw up CTEXT encoding for UTF-8
Patch14: 	gtk+-1.2.10-ctext.patch
# Don't warn about missing fonts for UTF-8
Patch15: 	gtk+-1.2.10-utf8fontset.patch
# Accept KP_Enter as a synonym for Return everywhere
Patch16: 	gtk+-1.2.10-kpenter.patch
# Allow theme switching to work properly when no windows are realized
Patch17: 	gtk+-1.2.10-themeswitch.patch
# Fix crash when switching themes
Patch18: 	gtk+-1.2.10-pixmapref.patch
# Fix computation of width of missing characters
Patch19: 	gtk+-1.2.10-missingchar.patch
# Fix sizes of Ukrainian fontsets
Patch20: 	gtk+-1.2.10-ukfont.patch
# Fix file selection delete-dir when changing directory problem
# also, fix memory corruption problem when changing directories.
Patch21: 	gtk+-1.2.10-deletedir.patch
# Improve warning for missing fonts
Patch22: 	gtk+-1.2.10-fontwarning.patch
# Allow themes to make scrollbar trough always repaint
Patch23: 	gtk+-1.2.10-troughpaint.patch
# Fix a crash that can happen in some apps when the current
# locale is not supported by XLib.
Patch24: 	gtk+-1.2.10-localecrash.patch
# Patch from CVS to fix b.g.o #56349
Patch26: 	gtk+-1.2.10-dndorder.patch
# Patch from CVS to fix b.g.o #94812
Patch27: 	gtk+-1.2.10-clistfocusrow.patch
# Fix GTK+ to obey X server's default bell volume
Patch28: 	gtk+-1.2.10-bellvolume.patch
# Hack up the configure scripts to deal with some obscure
# breakage with ancient libtool
Patch29: 	gtk+-1.2.10-libtool.patch
# Add a dependency on libgdk to libgtk (#106677)
Patch30: 	gtk+-1.2.10-gtkgdkdep.patch
Patch31:	gtk+-underquoted.patch
Patch32: 	gtk+-1.2.10-ppc64.patch
# do not allow for undefined symbols in shared libraries -- Rex
Patch33: 	gtk+-1.2.10-no_undefined.patch
# http://bugzilla.redhat.com/222298
Patch34: 	gtk+-1.2.10-multilib.patch

BuildRequires: 	glib-devel >= %{version}
#Requires:     glib >= 1:%{version}
#BuildRequires: 	automake14 autoconf213
BuildRequires: 	libtool
BuildRequires: 	gettext
BuildRequires: 	libX11-devel libXext-devel libXi-devel libXt-devel

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for
creating graphical user interfaces for the X Window System. GTK+ was
originally written for the GIMP (GNU Image Manipulation Program) image
processing program, but is now used by several other programs as
well.

%package devel
Summary: 	Development tools for GTK+ (GIMP ToolKit) applications
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}
Requires: 	glib-devel
Requires: 	pkgconfig
Requires: 	libX11-devel libXext-devel libXi-devel libXt-devel

%description devel
Libraries, header files and documentation for developing GTK+ 
(GIMP ToolKit) applications.


%prep
%setup -q -a 2

%patch1 -p1 -b .ahiguti
%patch5 -p1 -b .alnum
%patch10 -p1 -b .alignment
%patch11 -p1 -b .expose
%patch12 -p1 -b .focus
%patch13 -p1 -b .encoding
%patch14 -p1 -b .ctext
%patch15 -p1 -b .utf8fontset
%patch16 -p1 -b .kpenter
%patch17 -p1 -b .themeswitch
%patch18 -p1 -b .pixmapref
%patch19 -p1 -b .missingchar
%patch20 -p1 -b .ukfont
%patch21 -p1 -b .deletedir
%patch22 -p1 -b .fontwarning
%patch23 -p0 -b .troughpaint
%patch24 -p1 -b .localecrash
%patch26 -p0 -b .dndorder
%patch27 -p0 -b .clistfocusrow
%patch28 -p1 -b .bellvolume
%patch29 -p1 -b .libtool
%patch30 -p1 -b .gtkgdkdep
%patch31 -p1 -b .underquoted
%patch32 -p1 -b .ppc64
%patch33 -p1 -b .no_undefined
%patch34 -p1 -b .multilib

#cp -f %{_datadir}/aclocal/libtool.m4 .
#libtoolize --copy --force
#automake
#aclocal-1.4
#autoconf
#autoheader
#autoreconf

%build
LIBTOOL=%{_bindir}/libtool \
%configure \
  --disable-static \
  --with-xinput=xfree\
  --with-native-locale

make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT LIBTOOL=%{_bindir}/libtool

#
# Make cleaned-up versions of examples and tutorial for installation
#
./mkinstalldirs tmpdocs/tutorial
install -p -m0644 docs/html/gtk_tut.html docs/html/gtk_tut-[0-9]*.html docs/html/*.gif tmpdocs/tutorial
for dir in examples/* ; do
    if [ -d $dir ] ; then
       ./mkinstalldirs tmpdocs/$dir
       for file in $dir/* ; do
          case $file in
	     *pre1.2.7)
	        ;;
	     *)
                install -p -m0644 $file tmpdocs/$dir
		;;
	  esac
       done
    fi
done

install -p -m644 -D %{SOURCE1} $RPM_BUILD_ROOT/etc/gtk/gtkrc

# Install some extra gtkrc files to improve functioning of GTK+
# in UTF-8 locales for Chinese, Japanese, Korean.
for i in %{SOURCE3} %{SOURCE4} %{SOURCE5} %{SOURCE6} ; do
  install -p -m0644 $i $RPM_BUILD_ROOT/etc/gtk/
done

# We don't ship the info files
rm -rf $RPM_BUILD_ROOT%{_infodir}

%find_lang %{name}

# I *know* ||: isn't needed, but this could end up used by legacy
%check ||:
make check LIBTOOL=%{_bindir}/libtool


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/lib*.so.*
%dir %{_datadir}/themes
%{_datadir}/themes/Default/
%dir %{_sysconfdir}/gtk/
%config(noreplace) %{_sysconfdir}/gtk/*

%files devel
%defattr(-,root,root,-)
%doc tmpdocs/tutorial/
%doc tmpdocs/examples/
%{_bindir}/gtk-config
%{_datadir}/aclocal/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*
%{_libdir}/*.la
%{_libdir}/*.a

%changelog
* Wed Apr 04 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.10-2
- rebuild for srpm
* Wed Apr 16 2004 Christian Metzen <metzench@ccux-linux.de> 1.2.10-1
- Initial release